local Pastry = ...

-- Register Hen Breeder job
Pastry:register({
	DataType = "JOB",
	Id = "HEN_BREEDER",
	JobName = "HEN_BREEDER_NAME",
	JobDescription = "HEN_BREEDER_DESC",
	JobAnimation = "SAWING",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 30.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

-- Register Cow Milker job
Pastry:register({
	DataType = "JOB",
	Id = "COW_MILKER",
	JobName = "COW_MILKER_NAME",
	JobDescription = "COW_MILKER_DESC",
	JobAnimation = "BUILD",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 1.2,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

-- Register Dairy Maid job
Pastry:register({
	DataType = "JOB",
	Id = "DAIRY_MAID",
	JobName = "DAIRY_MAID_NAME",
	JobDescription = "DAIRY_MAID_DESC",
	JobAnimation = "HIT1",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 22.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})
