local Pastry = ...

-- Register model for stocking asset
Pastry:registerAssetId("models/crate.fbx/Prefab/crate","MY_CRATE")

-- Register image assets
Pastry:registerAssetId("icons/egg.png", "ICON_EGG")

-- Register egg (food)
Pastry:register({
	DataType = "RESOURCE",
	Id = "EGG",
	ResourceName = "EGG",
	Icon = "ICON_EGG",
	ResourceType = "FOOD",
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 }
})

-- Register image assets
Pastry:registerAssetId("icons/milk.png", "ICON_MILK")

Pastry:register({
	DataType = "RESOURCE",
	Id = "MILK",
	ResourceName = "MILK",
	Icon = "ICON_MILK",
	ResourceType = "FOOD",
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 2 }
})

-- Register image assets
Pastry:registerAssetId("icons/salt.png", "ICON_SALT")

Pastry:register({
	DataType = "RESOURCE",
	Id = "SALT",
	ResourceName = "SALT",
	Icon = "ICON_SALT",
	ResourceType = "LUXURY",
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 17 }
})

-- Register image assets
Pastry:registerAssetId("icons/butter.png", "ICON_BUTTER")

Pastry:register({
	DataType = "RESOURCE",
	Id = "BUTTER",
	ResourceName = "BUTTER",
	Icon = "ICON_BUTTER",
	ResourceType = "FOOD",
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 }
})

-- Register image assets
Pastry:registerAssetId("icons/pastry.png", "ICON_PASTRY")

Pastry:register({
	DataType = "RESOURCE",
	Id = "PASTRY",
	ResourceName = "PASTRY",
	Icon = "ICON_PASTRY",
	ResourceType = "LUXURY_FOOD",
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})

-- Register image assets
Pastry:registerAssetId("icons/cream.png", "ICON_CREAM")

Pastry:register({
	DataType = "RESOURCE",
	Id = "CREAM",
	ResourceName = "CREAM",
	Icon = "ICON_CREAM",
	ResourceType = "FOOD",
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 }
})

